Bug 1089970 - [HPC, environment modules] /etc/profile.d snippets of 'Modules' and 'lua-lmod' Conflict
[HPC, environment modules] /etc/profile.d snippets of 'Modules' and 'lua-lmod...
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Other
Current
All openSUSE Factory
: P5 - None : Normal (vote)
: ---
Assigned To: HPC Bugzilla
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-04-18 05:53 UTC by Egbert Eich
Modified: 2018-04-22 12:50 UTC (History)
0 users

See Also:
Found By: Development
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Egbert Eich 2018-04-18 05:53:49 UTC
The snippets for /etc/porfile.d for 'Modules' (modules.sh' and lua-lmod (lmod.sh)
provide the same shell functions and aliases. Both snippets get sourced when the shell is initialized. Thus the last one to get sourced will win.
This is not desirable, thus the packages should conflict.
Comment 2 Swamp Workflow Management 2018-04-18 06:40:05 UTC
This is an autogenerated message for OBS integration:
This bug (1089970) was mentioned in
https://build.opensuse.org/request/show/597676 Factory / lua-lmod
Comment 3 Swamp Workflow Management 2018-04-18 20:20:06 UTC
This is an autogenerated message for OBS integration:
This bug (1089970) was mentioned in
https://build.opensuse.org/request/show/597885 Factory / lua-lmod
Comment 5 Egbert Eich 2018-04-20 10:35:12 UTC
Fixed.
Comment 6 Swamp Workflow Management 2018-04-22 12:50:05 UTC
This is an autogenerated message for OBS integration:
This bug (1089970) was mentioned in
https://build.opensuse.org/request/show/599752 Factory / mpich